# {{ ansible_managed }}
server {
    listen       80;
    listen       443 ssl ;
    server_name  lessig.caliu.cat;

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /var/www/nginx-default;
    }

    # reverse proxy to Nginx on Lessig
    location / {
        proxy_pass        http://lessig:80;
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
    }

    ssl_certificate     /etc/ssl/certs/lessig.caliu.cat.cer ;
    ssl_certificate_key /etc/ssl/private/lessig.caliu.cat.key ;
    include ssl.conf ;

}

